Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.operations
Class AbstractFileOperationProvider

    java.lang.Object
      org.apache.commons.vfs.operations.AbstractFileOperationProvider

All Implemented Interfaces:
  FileOperationProvider

public abstract class AbstractFileOperationProvider
extends Object
implements FileOperationProvider

todo: add class description here

Since:
  0.1
Author:
  Siarhei Baidun

Constructor Summary
`AbstractFileOperationProvider()`

Method Summary
`protected void` | `addOperation(Class operationClass)`
`void` | `collectOperations(Collection operationsList, FileObject file)` Gather available operations for the specified FileObject and put them into specified operationsList.
`protected abstract void` | `doCollectOperations(Collection availableOperations, Collection resultList, FileObject file)`
`FileOperation` | `getOperation(FileObject file, Class operationClass)`
`protected abstract FileOperation` | `instantiateOperation(FileObject file, Class operationClass)`
`protected Class` | `lookupOperation(Class operationClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFileOperationProvider

    public AbstractFileOperationProvider()

Method Detail

### collectOperations

    public final void collectOperations(Collection operationsList,
                                        FileObject file)
                                 throws FileSystemException

  Gather available operations for the specified FileObject and put them into specified operationsList.

  Specified by:
    `collectOperations` in interface `FileOperationProvider`
  Parameters:
    `operationsList` - the list of available operations for the specivied FileObject. The operationList contains classes of available operations, e.g. Class objects.
    `file` - the FileObject for which we want to get the list of available operations.
  Throws:
    `FileSystemException` - if list of operations cannto be retrieved.

### doCollectOperations

    protected abstract void doCollectOperations(Collection availableOperations,
                                                Collection resultList,
                                                FileObject file)
                                         throws FileSystemException

  Throws:
    `FileSystemException`

### getOperation

    public final FileOperation getOperation(FileObject file,
                                            Class operationClass)
                                     throws FileSystemException

  Specified by:
    `getOperation` in interface `FileOperationProvider`
  Parameters:
    `file` - the FileObject for which we need a operation.
    `operationClass` - the Class which instance we are needed.
  Returns:
    the requried operation instance.
  Throws:
    `FileSystemException` - if operation cannot be retrieved.

### instantiateOperation

    protected abstract FileOperation instantiateOperation(FileObject file,
                                                          Class operationClass)
                                                   throws FileSystemException

  Parameters:
    `operationClass` -
  Returns:
  Throws:
    `FileSystemException`

### lookupOperation

    protected final Class lookupOperation(Class operationClass)
                                   throws FileSystemException

  Parameters:
    `operationClass` -
  Returns:
    never returns null
  Throws:
    `FileSystemException`

### addOperation

    protected final void addOperation(Class operationClass)
                               throws FileSystemException

  Parameters:
    `operationClass` -
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.